Page MenuHomePhabricator

Purge html5-misnesting tags from the database
Closed, ResolvedPublic

Description

I fixed another source of false positives for html5-misnesting tags. This should be last instance. It is worth another purge of the table for this category so editors aren't overwhelmed by them.

This would be the same query as in T176363#3659771

Event Timeline

ssastry created this task.Oct 12 2017, 4:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 4:07 AM
ssastry triaged this task as High priority.Oct 12 2017, 4:07 AM

If @Legoktm is busy, would the dba folks be able to help with this?

Mentioned in SAL (#wikimedia-operations) [2017-10-12T07:18:40Z] <legoktm> purging html5-misnesting linter entries from database on terbium (T178040)

The script is running in a screen on terbium. The query is DELETE FROM linter WHERE linter_cat=12 ORDER BY linter_id LIMIT 500 running in a loop until the query deletes less than 500 rows, going across every wiki.

Thanks for the heads up

@Legoktm when would your script be finished? You planning to leave it running during the weekend if it doesn't finish today?
Thanks!

Legoktm closed this task as Resolved.Oct 13 2017, 6:59 AM

The script finished sometime earlier today, I just didn't check the screen until now.

@Legoktm I see your SAL, but I do not see your entry on https://wikitech.wikimedia.org/wiki/Deployments can you add it?